# frozen_string_literal: true

# Devuelve metadatos de cierto tipo
class MetadataFactory
  def self.build(**args)
    @@factory_cache ||= {}
    @@factory_cache[args[:type]] ||= ('Metadata' + args[:type].to_s.camelcase).constantize
    @@factory_cache[args[:type]].new(args)
  end
end
