# frozen_string_literal: true

# Un campo de idioma
class MetadataLang < MetadataTemplate
  def default_value
    super || I18n.locale
  end

  def value
    self[:value] ||= document.collection.label || default_value
  end

  def values
    site.locales
  end
end
